## org.hamcrest.core
Class StringContains

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.TypeSafeMatcher<String>
              org.hamcrest.core.SubstringMatcher
                  org.hamcrest.core.StringContains

All Implemented Interfaces:
  Matcher<String>, SelfDescribing

    public class StringContains

extends SubstringMatcher

Tests if the argument is a string that contains a substring.

Field Summary

Fields inherited from class org.hamcrest.core.SubstringMatcher
`substring`

Constructor Summary
`StringContains(String substring)`

Method Summary
`static Matcher<String>` `containsString(String substring)` Creates a matcher that matches if the examined `String` contains the specified `String` anywhere.
`protected boolean` `evalSubstringOf(String s)`
`protected String` `relationship()`

Methods inherited from class org.hamcrest.core.SubstringMatcher
`describeMismatchSafely, describeTo, matchesSafely`

Methods inherited from class org.hamcrest.TypeSafeMatcher
`describeMismatch, matches`

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringContains

    public StringContains(String substring)

Method Detail

### evalSubstringOf

    protected boolean evalSubstringOf(String s)

  Specified by:
    `evalSubstringOf` in class `SubstringMatcher`

### relationship

    protected String relationship()

  Specified by:
    `relationship` in class `SubstringMatcher`

### containsString

    public static Matcher<String> containsString(String substring)

  Creates a matcher that matches if the examined `String` contains the specified `String` anywhere.

  For example:

      assertThat("myStringOfNote", containsString("ring"))

  Parameters:
    `substring` - the substring that the returned matcher will expect to find within any examined string

Copyright © 2002–2020 JUnit. All rights reserved.